Commet
  • Precios
Iniciar SesiónRegistrarse
Cancel a payment link POSTCharge a customer POSTCreate a payment link POSTGet payment GETList payments GET
DocumentaciónRecursosConstruir con AIAPI ReferenceWebhooks

List payments

List payments with cursor-based pagination. Filter by customer.

GET
/payments

List payments with cursor-based pagination. Filter by customer.

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

customerId?string
cursor?string
limit?integer

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/payments"
{  "success": true,  "data": [    {      "id": "string",      "customerId": "string",      "kind": "link",      "status": "pending",      "provider": "stripe",      "amountSubtotal": -9007199254740991,      "taxAmount": -9007199254740991,      "amountTotal": -9007199254740991,      "currency": "string",      "description": "string",      "metadata": {        "property1": null,        "property2": null      },      "url": "string",      "expiresAt": "2019-08-24T14:15:22Z",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "object": "payment",      "livemode": true    }  ],  "hasMore": true,  "nextCursor": "string"}
{  "success": false,  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "success": false,  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "success": false,  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "success": false,  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}

Get payment GET

Retrieve a payment by its public ID.

Add a payout bank account POST

Add an additional destination bank account to the organization's existing payout account. Country and currency are resolved from the organization. The full account number is never returned — only `last4`.